<div class="container" *ngIf="isPlaying; else results">
  <h1 class="mat-display-4">{{ convertNumberToWord(timer) }}</h1>
  <section class="question">
    <div class="fraction">
      <span>{{ currentQuestion.fractionOne.numerator }}</span>
      <span class="fraction-bar"><hr flex /> </span>
      <span>{{ currentQuestion.fractionOne.denominator }}</span>
    </div>
    <div class="fraction symbol-question">
      <span>?</span>
      <span class="fraction-bar"><hr flex /> </span>
    </div>
    <div class="fraction">
      <span>{{ currentQuestion.fractionTwo.numerator }}</span>
      <span class="fraction-bar"><hr /> </span>
      <span>{{ currentQuestion.fractionTwo.denominator }}</span>
    </div>
  </section>
  <section class="choices">
    <button
      *ngFor="let button of choiceButtons"
      class="choice"
      (click)="setAnswer(button.symbol)"
      mat-stroked-button
      [color]="button.color"
    >
      {{ button.label }} {{ button.symbol }}
    </button>
  </section>
</div>

<ng-template #results>
  <div class="container">
    <div
      *ngFor="let stat of board"
      [ngClass]="{ 'mat-headline': stat.label === 'Grade' }"
    >
      <span>{{ stat.label }}: </span
      ><span [ngStyle]="{ 'font-weight': 'bold' }">{{ stat.value }}</span>
    </div>
    <button mat-raised-button color="primary" (click)="goToHome()">
      Play again.
    </button>
    <h1>Review your answers.</h1>
    <div class="question-answer" *ngFor="let question of questions">
      <section class="question">
        <div class="fraction">
          <span>{{ question.fractionOne.numerator }}</span>
          <span class="fraction-bar"><hr flex /> </span>
          <span>{{ question.fractionOne.denominator }}</span>
        </div>
        <div class="fraction symbol-question">
          <span>{{ question.correct.symbol }}</span>
          <span class="fraction-bar"><hr flex /> </span>
        </div>
        <div class="fraction">
          <span>{{ question.fractionTwo.numerator }}</span>
          <span class="fraction-bar"><hr /> </span>
          <span>{{ question.fractionTwo.denominator }}</span>
        </div>
      </section>
      <section class="choices">
        <button
          *ngFor="let button of choiceButtons"
          class="choice"
          mat-stroked-button
          [color]="button.color"
          [ngStyle]="setButtonBackground(question, button)"
        >
          {{ button.symbol }} {{ button.label }}
          <span
            *ngIf="
              !question.userAnswer && button.symbol === question.correct.symbol
            "
          >
            (no answer)
          </span>
          <span
            *ngIf="
              question.userAnswer !== button.symbol &&
              button.symbol === question.correct.symbol
            "
            >(correct)</span
          >
          <span *ngIf="question.userAnswer === button.symbol">
            (your answer)
          </span>
        </button>
      </section>
    </div>
    <button mat-raised-button color="primary" (click)="goToHome()">
      Play again.
    </button>
  </div>
</ng-template>
